net.sourceforge.jnlp.runtime

## Class ManageJnlpResources

- java.lang.Object
- - net.sourceforge.jnlp.runtime.ManageJnlpResources

    public class ManageJnlpResources
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ManageJnlpResources()`

### Method Summary

Methods
`static void` `downloadJars(JNLPClassLoader classLoader, java.net.URL ref, java.lang.String part, Version version)` Downloads jars identified by part name.
`static JARDesc[]` `findJars(JNLPClassLoader rootClassLoader, java.net.URL ref, java.lang.String part, Version version)` Returns jars from the JNLP file with the part name provided.
`static boolean` `isExternalResourceCached(JNLPClassLoader rootClassLoader, java.net.URL ref, java.lang.String version)` Returns true if the resource (not mentioned in the jnlp file) is cached, otherwise false Used by DownloadService.
`static void` `loadExternalResouceToCache(JNLPClassLoader rootClassLoader, java.net.URL ref, java.lang.String version)` Downloads and initializes resources which are not mentioned in the jnlp file.
`static void` `removeCachedJars(JNLPClassLoader classLoader, java.net.URL ref, JARDesc[] jars)` Removes jars from cache.
`static void` `removeExternalCachedResource(JNLPClassLoader rootClassLoader, java.net.URL ref, java.lang.String version)` Removes resource which are not mentioned in the jnlp file.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ManageJnlpResources

    public ManageJnlpResources()

### Method Detail

#### findJars

    public static JARDesc[] findJars(JNLPClassLoader rootClassLoader,
                     java.net.URL ref,
                     java.lang.String part,
                     Version version)

Returns jars from the JNLP file with the part name provided.

Parameters:
  `rootClassLoader` - Root JNLPClassLoader of the application.
  `ref` - Path of the launch or extension JNLP File containing the resource. If null, main JNLP's file location will be used instead.
  `part` - The name of the part.
Returns:
  jars found.

#### removeCachedJars

    public static void removeCachedJars(JNLPClassLoader classLoader,
                        java.net.URL ref,
                        JARDesc[] jars)

Removes jars from cache.

Parameters:
  `classLoader` - JNLPClassLoader of the application that is associated to the resource.
  `ref` - Path of the launch or extension JNLP File containing the resource. If null, main JNLP's file location will be used instead.
  `jars` - Jars marked for removal.

#### downloadJars

    public static void downloadJars(JNLPClassLoader classLoader,
                    java.net.URL ref,
                    java.lang.String part,
                    Version version)

Downloads jars identified by part name.

Parameters:
  `classLoader` - JNLPClassLoader of the application that is associated to the resource.
  `ref` - Path of the launch or extension JNLP File containing the resource. If null, main JNLP's file location will be used instead.
  `part` - The name of the path.

#### loadExternalResouceToCache

    public static void loadExternalResouceToCache(JNLPClassLoader rootClassLoader,
                                  java.net.URL ref,
                                  java.lang.String version)

Downloads and initializes resources which are not mentioned in the jnlp file. Used by DownloadService.

Parameters:
  `rootClassLoader` - Root JNLPClassLoader of the application.
  `ref` - Path to the resource.
  `version` - The version of resource. If null, no version is specified.

#### removeExternalCachedResource

    public static void removeExternalCachedResource(JNLPClassLoader rootClassLoader,
                                    java.net.URL ref,
                                    java.lang.String version)

Removes resource which are not mentioned in the jnlp file. Used by DownloadService.

Parameters:
  `rootClassLoader` - Root JNLPClassLoader of the application.
  `ref` - Path to the resource.
  `version` - The version of resource. If null, no version is specified.

#### isExternalResourceCached

    public static boolean isExternalResourceCached(JNLPClassLoader rootClassLoader,
                                   java.net.URL ref,
                                   java.lang.String version)

Returns true if the resource (not mentioned in the jnlp file) is cached, otherwise false Used by DownloadService.

Parameters:
  `rootClassLoader` - Root JNLPClassLoader of the application.
  `ref` - Path to the resource.
  `version` - The version of resource. If null, no version is specified.
Returns: